# Copyright (c) 2016, 2022, Oracle and/or its affiliates.  All rights reserved.
# This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.

module OCI
  module DataSafe
    # Module containing models for requests made to, and responses received from,
    # OCI DataSafe services
    module Models
    end
  end
end

# Require models
require 'oci/data_safe/models/activate_target_database_details'
require 'oci/data_safe/models/autonomous_database_details'
require 'oci/data_safe/models/change_data_safe_private_endpoint_compartment_details'
require 'oci/data_safe/models/change_on_prem_connector_compartment_details'
require 'oci/data_safe/models/change_security_assessment_compartment_details'
require 'oci/data_safe/models/change_target_database_compartment_details'
require 'oci/data_safe/models/change_user_assessment_compartment_details'
require 'oci/data_safe/models/compare_security_assessment_details'
require 'oci/data_safe/models/compare_user_assessment_details'
require 'oci/data_safe/models/connection_option'
require 'oci/data_safe/models/create_data_safe_private_endpoint_details'
require 'oci/data_safe/models/create_on_prem_connector_details'
require 'oci/data_safe/models/create_security_assessment_details'
require 'oci/data_safe/models/create_target_database_details'
require 'oci/data_safe/models/create_user_assessment_details'
require 'oci/data_safe/models/credentials'
require 'oci/data_safe/models/data_safe_configuration'
require 'oci/data_safe/models/data_safe_private_endpoint'
require 'oci/data_safe/models/data_safe_private_endpoint_summary'
require 'oci/data_safe/models/database_cloud_service_details'
require 'oci/data_safe/models/database_details'
require 'oci/data_safe/models/database_type'
require 'oci/data_safe/models/diffs'
require 'oci/data_safe/models/download_security_assessment_report_details'
require 'oci/data_safe/models/download_user_assessment_report_details'
require 'oci/data_safe/models/enable_data_safe_configuration_details'
require 'oci/data_safe/models/finding'
require 'oci/data_safe/models/finding_summary'
require 'oci/data_safe/models/generate_on_prem_connector_configuration_details'
require 'oci/data_safe/models/generate_security_assessment_report_details'
require 'oci/data_safe/models/generate_user_assessment_report_details'
require 'oci/data_safe/models/grant_summary'
require 'oci/data_safe/models/infrastructure_type'
require 'oci/data_safe/models/initialization_parameter'
require 'oci/data_safe/models/installed_database_details'
require 'oci/data_safe/models/lifecycle_state'
require 'oci/data_safe/models/on_prem_connector'
require 'oci/data_safe/models/on_prem_connector_lifecycle_state'
require 'oci/data_safe/models/on_prem_connector_summary'
require 'oci/data_safe/models/on_premise_connector'
require 'oci/data_safe/models/private_endpoint'
require 'oci/data_safe/models/profile_details'
require 'oci/data_safe/models/references'
require 'oci/data_safe/models/run_security_assessment_details'
require 'oci/data_safe/models/run_user_assessment_details'
require 'oci/data_safe/models/section_statistics'
require 'oci/data_safe/models/security_assessment'
require 'oci/data_safe/models/security_assessment_base_line_details'
require 'oci/data_safe/models/security_assessment_comparison'
require 'oci/data_safe/models/security_assessment_comparison_per_target'
require 'oci/data_safe/models/security_assessment_lifecycle_state'
require 'oci/data_safe/models/security_assessment_statistics'
require 'oci/data_safe/models/security_assessment_summary'
require 'oci/data_safe/models/service_list'
require 'oci/data_safe/models/sort_orders'
require 'oci/data_safe/models/target_database'
require 'oci/data_safe/models/target_database_lifecycle_state'
require 'oci/data_safe/models/target_database_summary'
require 'oci/data_safe/models/tls_config'
require 'oci/data_safe/models/update_data_safe_private_endpoint_details'
require 'oci/data_safe/models/update_on_prem_connector_details'
require 'oci/data_safe/models/update_on_prem_connector_wallet_details'
require 'oci/data_safe/models/update_security_assessment_details'
require 'oci/data_safe/models/update_target_database_details'
require 'oci/data_safe/models/update_user_assessment_details'
require 'oci/data_safe/models/user_aggregation'
require 'oci/data_safe/models/user_assessment'
require 'oci/data_safe/models/user_assessment_base_line_details'
require 'oci/data_safe/models/user_assessment_comparison'
require 'oci/data_safe/models/user_assessment_lifecycle_state'
require 'oci/data_safe/models/user_assessment_summary'
require 'oci/data_safe/models/user_details'
require 'oci/data_safe/models/user_summary'
require 'oci/data_safe/models/work_request'
require 'oci/data_safe/models/work_request_error'
require 'oci/data_safe/models/work_request_log_entry'
require 'oci/data_safe/models/work_request_resource'
require 'oci/data_safe/models/work_request_summary'

# Require generated clients
require 'oci/data_safe/data_safe_client'
require 'oci/data_safe/data_safe_client_composite_operations'

# Require service utilities
require 'oci/data_safe/util'
